using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace NZSDK_CSharpSample
{
    public partial class MainForm : Form
    {
        public MainForm()
        {
            InitializeComponent();
        }

        private void MainForm_Load(object sender, EventArgs e)
        {
            comboBox1.SelectedIndex = 0;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            switch (comboBox1.SelectedIndex)
            {
                case 0: // NRS
                    {
                        NZSdkForm sdkForm = new NZSdkForm();
                        sdkForm.SDKKind = NZSDK.SDKKinds.NRS;
                        sdkForm.ShowDialog(this);
                    }
                    break;
                case 1: // VMS / NVR
                    {
                        NZSdkForm sdkForm = new NZSdkForm();
                        sdkForm.SDKKind = NZSDK.SDKKinds.NVR;
                        sdkForm.ShowDialog(this);
                    }
                    break;
                case 2: // NZLiveDisplay
                    {
                        NZLiveDisplayForm sdkForm = new NZLiveDisplayForm();
                        sdkForm.ShowDialog(this);
                    }
                    break;
            }
        }

        private void comboBox1_SelectedIndexChanged(object sender, EventArgs e)
        {
            switch (comboBox1.SelectedIndex)
            {
                case 0:
                    {
                        textBox1.Text = "NVR / VMS 의 RecordService 와 연동을 위한 SDK";
                    }
                    break;
                case 1:
                    {
                        textBox1.Text = "NVR / VMS 의 ManagementService 와 연동을 위한 SDK.\r\n다수의 RecordService 로 구성된 환경에서 필요한 영상 스트림에 대한 서비스 연결 및 스트림 요청을 SDK 내부에서 수행";
                    }
                    break;
                case 2:
                    {
                        textBox1.Text = "Rtsp 프로토콜로 서비스되는 스트림에 대하여 영상 출력을 위한 SDK (라이선스 필요)";
                    }
                    break;
            }
        }
    }
}
